***************************
*  startup.bat for NS-V1  *
*  Ver.8.1                *
*             2008.09.03  *
***************************

setenv SHELL mshell
iniz ro_fr1 ro_fr0
alias /at0 /h0

** load decompress command **
let rl_gzload=execute("load -d=/ro_fr0/sys gzload")

** TouchPanel Driver **
if(exist("/ro_fr0/bin/sctouch") == TRUE)
	load -d /ro_fr0/bin/sctouch
	load -d /ro_fr0/bin/tp0
endif

** Graphic Driver (BitBLT with transparent color modified to use HW accelaration) **
if(exist("/ro_fr0/bin/gx_orchid.gz") == TRUE)
	gzload /ro_fr0/bin/gx_orchid.gz<>>>/nil
endif

** Serial Driver for Memobus RS-485
** V6.70
if(exist("/ro_fr0/bin/scscish4") == TRUE)
	load -d /ro_fr0/bin/scscish4
endif
if(exist("/ro_fr0/bin/sc7750") == TRUE)
	load -d /ro_fr0/bin/sc7750
endif

** LAN Driver for CIPCore
if(exist("/ro_fr0/bin/sp91c111") == TRUE)
	load -d /ro_fr0/bin/sp91c111
endif

***** Change USB Priority *****
if(exist("/ro_fr0/bin/USB_Priority") == TRUE)
	load -d /fr0/bin/USB_Priority
	USB_Priority
endif
*********************

** old OS check **
link myhello5

********** Startup for CF boot program **********
if((exist("/h0/sys/CFboot.bat") == TRUE))
	alias /fr0 /h0
	alias /fr1 /h0
	alias /fr2 /h0
	do execute("/fr0/sys/CFboot.bat")
	sleep 50
	mystop
endif
**********************************************

************************************
* Check and Start External Program *
************************************
if (exist("/ro_fr0/sys/aptextprog") == TRUE)
	let fp_ext=open("/ro_fr0/sys/aptextprog", READ)
	if(%fp_ext==-1)
		File open error.Return prestart.
		unlet fp_ext
		reset
	endif
	let l_ext=readln(%fp_ext, buf_ext)
	let pass_ext=mid(%buf_ext, 1, 12)
	if(strcmp(%pass_ext,"/at0/ExtBoot") == 0)
		let close_ext=close(%fp_ext)
		unlet fp_ext l_ext buf_ext pass_ext
		copy /ro_fr0/sys/aptextprog /r0<>>>/nil
		do execute("/r0/aptextprog")
		*** Resume to Internal Program
		alias /fr0 /fr0
		del -f /fr0/sys/aptextprog<>>>/nil
		reset
	endif
	let close_ext=close(%fp_ext)
	unlet fp_ext l_ext buf_ext pass_ext
endif

let fp_exec=open("/ro_fr0/sys/aptextprog_exec", READ)
let fp_finish=open("/ro_fr0/sys/aptextprog_finish", READ)
if(%fp_exec==-1 || %fp_finish==-1)
	File open error.Return prestart.
endif
let l_exec=readln(%fp_exec, buf_exec)
let l_finish=readln(%fp_finish, buf_finish)
let pass_exec=mid(%buf_exec, 1, 29)
let pass_finish=mid(%buf_finish, 1, 31)
if(strcmp(%pass_exec,"/ro_fr0/sys/aptextexec_run.sh")==0 && \
          strcmp(%pass_finish,"/ro_fr0/sys/aptextfinish_run.sh")==0)
	let EXT_RUN=1
	let P_01=0
elif(strcmp(%pass_exec,"/ro_fr0/sys/aptextexec_p01.sh")==0 && \
          strcmp(%pass_finish,"/ro_fr0/sys/aptextfinish_p01.sh")==0)
	let EXT_RUN=1
	let P_01=1
else
	let EXT_RUN=0
	let P_01=0
endif
let close_exec=close(%fp_exec)
let close_finish=close(%fp_finish)
if ((exist("/ro_fr0/sys/aptextprog") == TRUE))
	let EXTPROG = 1
	gzload /ro_fr0/bin/maui_p.gz
	gzload /ro_fr0/bin/maui_win_p.gz
	gzload /ro_fr0/bin/gx_orchid_p.gz
	gzload /ro_fr0/bin/myhello5_p.gz

else
	let EXTPROG = 0
endif
unlet fp_exec l_exec buf_exec pass_exec
unlet fp_finish l_finish buf_finish pass_finish

*gzload /ro_fr0/bin/usbsdrvs.gz<>>>/nil
chd /ro_fr0/sys
maui_inp ^128&

****** system check ******
let rl_HW = execute("gzload selfHWchk.gz")
if (%rl_HW != 0)
	let DRAW=0
	let PIPEP="+/pipe/myhello"
	call myhellostart()
	led_ctrl 1 0
	led_ctrl 0 1
	echo "!@#2">%PIPEP
	sleep 0
endif
if (%rl_HW == 0)
	let r_sys = execute("selfHWchk o")
else
	let r_sys = 0
endif

****** check DIP-SW Setting ******
let r_dip=execute("dipRead")
if (%r_dip < 0)
	****** execute dip????????.bat ******
	let DIP=filematch("/r0/dip*.bat")
	let ret=execute(%DIP)
	if (%ret == 0)
		sleep 0
	else
		let DRAW=0
		let PIPEP="+/pipe/myhello"
		call myhellostart()
		led_ctrl 1 0
		led_ctrl 0 1
		echo "!@#2">%PIPEP
		sleep 0
	endif
elif (%r_dip > 0)
	let DRAW=0
	let PIPEP="+/pipe/myhello"
	call myhellostart()
	led_ctrl 1 0
	led_ctrl 0 1
	echo "!@#2">%PIPEP
	sleep 0
endif

**** Start Panel_01 from SYSTEM MENU ****
if(%EXT_RUN == 1 && %P_01 == 1)
	copy -ar /ro_fr0/sys/aptextexec_p01.sh /r0/sys_panel01.bat<>>>/nil
	do execute("/r0/sys_panel01.bat")
	sleep 50
	echo "/ro_fr0/sys/aptextexec_run.sh" >-/fr0/sys/aptextprog_exec
	echo >+/fr0/sys/aptextprog_exec
	echo "/ro_fr0/sys/aptextfinish_run.sh" >-/fr0/sys/aptextprog_finish
	echo >+/fr0/sys/aptextprog_finish
    sleep 50
	reset
endif

**** read language and PLC board setting ****
let sysini = execute("selfHWchk i")
if (%sysini & 1 == 1)
	let LANG = 1 ;* ENGLISH
else
	let LANG = 0 ;* JAPANESE
endif

****** starting background screen option check ******
if (%EXTPROG == 0)
	let PIPEP="/nil"
	if (exist("/ro_fr1/startup.bmp") == TRUE)
		let DRAW=3
		gzload hellobmp.gz<>>>/nil
		hellobmp /ro_fr1/startup.bmp^768&
	elif (exist("/ro_fr2/startup.bmp") == TRUE)
		let DRAW=3
		gzload hellobmp.gz<>>>/nil
		hellobmp /ro_fr2/startup.bmp^768&
	elif (exist("/ro_fr1/startup.jpg") == TRUE)
		let DRAW=2
		gzload hellojview.gz<>>>/nil
		hellojview /ro_fr1/startup.jpg^768&
	elif (exist("/ro_fr2/startup.jpg") == TRUE)
		let DRAW=2
		gzload hellojview.gz<>>>/nil
		hellojview /ro_fr2/startup.jpg^768&
	elif ((exist("/ro_fr1/blank.txt") == TRUE) || (exist("/ro_fr2/blank.txt") == TRUE))
		let DRAW=1
		call myhellostart()
	else
		let DRAW=0
		let PIPEP="+/pipe/myhello"
		call myhellostart()
	endif
else
	let DRAW=0
	let PIPEP="+/pipe/myhello"
	call myhellostart()
endif

echo "Welcome to NS series!">%PIPEP
echo>%PIPEP
version v>%PIPEP
echo>%PIPEP

****** date & TP check ******
let r_date=execute("selfHWchk t")
let r_TP=execute("selfHWchk p")
if ((%r_date == 0) && (%r_TP == 0))
	echo "Hardware Devices : OK">%PIPEP
	echo>%PIPEP
endif

****** loading modules ******
echo "Now Loading System Programs...">%PIPEP
let rl_fgw=execute("gzload /ro_fr0/fgw/fgws.gz")
let rl_fgw=execute("gzload /ro_fr0/fgw/FgwClk.gz")
load -d /ro_fr0/fgw/loadfgws
let rc_fgw=execute("loadfgws")
unlink loadfgws

let rl_sml=execute("gzload isaints.gz")
let rl_sml2=execute("gzload video_unit.gz")
let rl_sml3=execute("load -d netstart errmesvga")
if ((%rl_sml == 0) && (%rl_sml2 == 0) && (%rl_sml3 == 0))
	iniz isa0
endif

gzload /ro_fr0/fgw/areacheck.gz<>>>/nil
gzload /ro_fr0/fgw/scmcontrol.gz<>>>/nil
gzload /ro_fr0/fgw/tr_chk.gz<>>>/nil
gzload /ro_fr0/fgw/tr_write.gz<>>>/nil

gzload /ro_fr0/run/cproc.gz<>>>/nil
gzload /ro_fr0/run/trendproc.gz<>>>/nil

***************************************
* V6.70 for multivendor and CompowayF *
***************************************
*gzload /ro_fr0/fgw/mven.gz<>>>/nil
*gzload /ro_fr0/fgw/cwayf.gz<>>>/nil

let rl_usb=execute("gzload usbmods.gz")
gzload /ro_fr0/sys/prnunit.gz<>>>/nil
if (%rl_usb == 0)
	let rc_usb=execute("selfHWchk U")
	if ((%rc_usb == 0) && (%rl_HW == 0))
		link nullfm pr prnunit usbld usblhc usblhcd
	endif
else
	let rc_usb=1
endif

if ( exist("/ro_fr0/sys/pictprn.gz") == TRUE)
	gzload /ro_fr0/sys/pictprn.gz<>>>/nil
endif

echo "Now Loading Fonts...">%PIPEP
gzload /ro_fr0/font/fonts.gz<>>>/nil
gzload /ro_fr0/font/hg7s.gz<>>>/nil

do execute("/ro_fr0/sys/loadMbFont.sh")

selfHWchk f
*link 8859_0816.font 8859_1632.font kana_0808.font kana_0816.font \
*		kana_1632.font kanj_1616.font kanj_3232.font \
*		mark_1616.font mark_3232.font

****** backlight check *******
if (%rl_HW == 0)
	selfHWchk b
endif

****** Old RecoverCF check ******
let sc_pt0 = exist("/h0/os9kboot")
let sc_pt1 = exist("/h0/bank1")
let sc_pt2 = exist("/h0/os9")
let sc_pt3 = exist("/h0/os9000bt")

if ((%sc_pt0 == TRUE)&&(%sc_pt1 == TRUE)&&(%sc_pt2 == TRUE)&&(%sc_pt3 != TRUE))
	call errorproc()
	if (%LANG == 1)
		echo -r "** WARNING No.24 : The recovery program in   ">%PIPEP
		echo -r "   the inserted Memory Card is not supported ">%PIPEP
		echo -r "   by the PT. Update the recovery program    ">%PIPEP
		echo -r "   ,referring to NS Series Setup Manual.     ">%PIPEP
		echo -r "   To continue starting the PT without       ">%PIPEP
		echo    "   executing the program, touch the screen.  ">%PIPEP
		mystop
	else
		echo "!@#%">%PIPEP
		echo2 21
		mystop
		echo2 1
	endif
endif
unlet sc_pt0 sc_pt1 sc_pt2 sc_pt3

****** System Program Check ******
if (%r_sys < 0)
	call errorproc()
	led_ctrl 1 0
	led_ctrl 0 1
	if (%LANG == 1)
		echo -r "** ERROR No.12 : Installed system program is ">%PIPEP
		echo -r "   not applicable for this hardware :        ">%PIPEP
		echo    "   Please reinstall the system program       ">%PIPEP
	else
		echo "!@#%">%PIPEP
		echo2 15
	endif
	mystop
	sleep 0
endif

if ((%rc_fgw != 0) || (%rc_usb !=0) || (%rl_HW != 0) || (%rl_sml != 0) || \
    (%rl_sml2 != 0) || (%rl_sml3 != 0) || (%rl_gzload != 0))
	call errorproc()
	led_ctrl 1 0
	led_ctrl 0 1
	if (%LANG == 1)
		echo -r "** Error No.11 : Fail in loading files :     ">%PIPEP
		echo    "   Please reinstall the system program       ">%PIPEP
	else
		echo "!@#%">%PIPEP
		echo2 9
	endif
	mystop
	sleep 0
endif
echo "  Load Complete">%PIPEP
echo>%PIPEP
unlet rc_fgw rc_usb rl_HW rl_fgw2 rl_gzload

****** Display Hardware Check Results ******
if (%r_TP == -1)
	call errorproc()
	led_ctrl 1 0
	led_ctrl 0 1
	if (%LANG == 1)
		echo -r "** FATAL ERROR No.01 : Touch Panel is not    ">%PIPEP
		echo -r "   connected :                               ">%PIPEP
		echo    "   Please contact your OMRON service center  ">%PIPEP
	else
		echo "!@#%">%PIPEP
		echo2 3
	endif
	mystop
	sleep 0
	
elif (%r_TP == -2)
	call errorproc()
	led_ctrl 1 0
	led_ctrl 0 1
	if (%LANG == 1)
		echo -r "** FATAL ERROR No.04 : PT mode type Identify ">%PIPEP
		echo -r "   Error :                                   ">%PIPEP
		echo    "   Please contact your OMRON service center  ">%PIPEP
	else
		echo "!@#%">%PIPEP
		echo2 20
	endif
	mystop
	sleep 0
endif

if (%r_date < 0)
	call errorproc()
	date>%PIPEP
	if (%LANG == 1)
		echo -r "** WARNING No.20 : Date & Time are not set : ">%PIPEP
		echo    "   Touch the screen to continue              ">%PIPEP
		mystop
	else
		echo "!@#%">%PIPEP
		echo2 16
		mystop
		echo2 1
	endif
	echo>%PIPEP
endif

if ((%r_TP > 0) || (%r_date > 0))
	call errorproc()
	led_ctrl 1 0
	led_ctrl 0 1
	if (%LANG == 1)
		echo -r "** ERROR No.11 : Device check program Error :">%PIPEP
		echo    "   Please reinstall the system program       ">%PIPEP
	else
		echo "!@#%">%PIPEP
		echo2 10
	endif
	mystop
	sleep 0
endif
unlet r_TP r_date

****** log SRAM check ******
let r_sram=execute("selfHWchk l")
if (%r_sram == 0)
	echo "SRAM : OK">%PIPEP
elif ((%r_sram == -1) || (%r_sram == -2))
	call errorproc()
	led_ctrl 1 0
	led_ctrl 0 1
	if (%LANG == 1)
		echo -r "** FATAL ERROR No.02 : SRAM Initialization   ">%PIPEP
		echo -r "   Error :                                   ">%PIPEP
		echo    "   Please contact your OMRON service center  ">%PIPEP
	mystop
	else
		echo "!@#%">%PIPEP
		echo2 4
	endif
	mystop
	sleep 0
elif (%r_sram == -3)
	call errorproc()
	if (%LANG == 1)
		echo -r "** WARNING No.21 : SRAM previously broken....">%PIPEP
		echo -r "   Initialization Complete :                 ">%PIPEP
		echo    "   Touch the screen to continue              ">%PIPEP
		mystop
	else
		echo "!@#%">%PIPEP
		echo2 17
		mystop
		echo2 1
	endif
elif (%r_sram == -5)
	call errorproc()
	if (%LANG == 1)
		echo -r "** WARNING No.21 : SRAM previously broken....">%PIPEP
		echo -r "   Initialization Complete :                 ">%PIPEP
		echo    "   Touch the screen to continue              ">%PIPEP
		mystop
		echo "!@#p">%PIPEP
		echo -r "** WARNING No.22 : Memory Card Error : Some  ">%PIPEP
		echo -r "   files in a memory card may be corrupted.  ">%PIPEP
		echo -r "   Safely remove the memory card, and check  ">%PIPEP
		echo -r "   whether files are not corrupted on a      ">%PIPEP
		echo -r "   computer. You can continue to startup the ">%PIPEP
		echo -r "   PT by touching on the screen, however, it ">%PIPEP
		echo -r "   may NOT operate correctly when access to  ">%PIPEP
		echo    "   the memory card.                          ">%PIPEP
		mystop
	else
		echo "!@#%">%PIPEP
		echo2 17
		mystop
		echo2 18
		mystop
		echo2 1
	endif
elif (%r_sram == -4)
	call errorproc()
	if(%LANG == 1)
		echo "!@#p">%PIPEP
		echo -r "** WARNING No.22 : Memory Card Error : Some  ">%PIPEP
		echo -r "   files in a memory card may be corrupted.  ">%PIPEP
		echo -r "   Safely remove the memory card, and check  ">%PIPEP
		echo -r "   whether files are not corrupted on a      ">%PIPEP
		echo -r "   computer. You can continue to startup the ">%PIPEP
		echo -r "   PT by touching on the screen, however, it ">%PIPEP
		echo -r "   may NOT operate correctly when access to  ">%PIPEP
		echo    "   the memory card.                          ">%PIPEP
		mystop
	else
		echo "!@#%">%PIPEP
		echo2 18
		mystop
		echo2 1
	endif
elif (%r_sram == -6)
	call errorproc()
	if(%LANG == 1)
		echo "!@#p">%PIPEP
		echo -r "** ERROR No.13 : Memory Card Error : Memory  ">%PIPEP
		echo -r "   card or some files in a memory card may be">%PIPEP
		echo -r "   corrupted. Safely change the memory card, ">%PIPEP
		echo -r "   and reset the PT or turn the power supply ">%PIPEP
		echo    "   OFF and ON again.                         ">%PIPEP
	else
		echo "!@#%">%PIPEP
		echo2 22
	endif
	mystop
	sleep 0
else
	call errorproc()
	led_ctrl 1 0
	led_ctrl 0 1
	if (%LANG == 1)
		echo -r "** ERROR No.11 : SRAM check program Error :  ">%PIPEP
		echo    "   Please reinstall the system program       ">%PIPEP
	else
		echo "!@#%">+/pipe/myhello
		echo2 11
	endif
	mystop
	sleep 0
endif
echo>%PIPEP

****** INI file and FGW *.dat file copy ******
makdir -q /r0/etc
copy -ar /ro_fr0/etcsys/* /r0/etc<>>>/nil
if (exist("/ro_fr0/etc/fgwapt.ini") == TRUE)
	copy -ar /ro_fr0/etc/*.ini /r0/etc -c=do<>>>/nil
endif
copy -ar /ro_fr0/other/* /r0/etc<>>>/nil

do execute("/ro_fr0/sys/editIniGbGw.sh")

****** remove RUT in services FgwApt.ini ******
chd /r0/etc
copy -ar fgwapt.ini fgwapt.tmp
selfHWchk r <fgwapt.tmp >-fgwapt.ini

let r_LAN = execute("selfHWchk L")
****** whether LANc exists ******
if (%r_LAN == 1)
	****** MAC address check & IP address set ******
	let ret=execute("selfHWchk m")
	if (%ret == -1)
		call errorproc()
		led_ctrl 1 0
		led_ctrl 0 1
		if (%LANG == 1)
			echo -r "** FATAL ERROR No.03 : MAC Address Error  :  ">%PIPEP
			echo    "   Please contact your OMRON service center  ">%PIPEP
		else
			echo "!@#%">%PIPEP
			echo2 5
		endif
		mystop
		sleep 0
	else
		echo "MAC Address : OK">%PIPEP
	endif

	let ret=execute("netstart")
	unlink -f netstart
	if (%ret == 0)
		echo "IP  Address : OK">%PIPEP
		
		***** FTP setting *****
		let fflg = execute("selfHWchk n")
		if (%fflg == 1)
			gzload /ro_fr0/sys/ftps.gz<>>>/nil
			makdir -q /r0/sys
			attr -npsnpwnprngsngwngr /r0/sys
			attr -npsnpwnprngsngwngr /r0/etc
			attr -npenpwnprngengwngr /r0/startup.bat
			selfHWchk d >/r0/sys/password
			inetd<>>>/nil^32&
			sdmd&
			unlink -f attr

			***** NSWeb load and execute *****
			if (%LANG == 1)
				if (exist("/ro_fr0/sys/NSWeb.gz") == TRUE)
					gzload /ro_fr0/sys/NSWeb.gz<>>>/nil
					NSWeb<>>>/nil&
				endif
			endif
		endif
		****** for debug ******telnet/ftp/dir
		if (exist("/h0/password") == TRUE)
			makdir -q /r0/sys; copy -ar /h0/password /r0/sys
			gzload /ro_fr0/sys/ftps.gz<>>>/nil
			echo "Starting Up Inetd...">%PIPEP
			inetd<>>>/nil^32&
			****** for debug ****** Tlbprot
			if (exist("/h0/tp3") == TRUE)
				load -d /h0/mdir
			endif
		endif
	elif (%ret == -2)
		echo "No IP Address">%PIPEP
	else
		call errorproc()
		led_ctrl 1 0
		led_ctrl 0 1
		if (%LANG == 1)
			echo -r "** ERROR No.11 : IP Address Setting Error :  ">%PIPEP
			echo    "   Please reinstall the system program       ">%PIPEP
		else
			echo "!@#%">%PIPEP
			echo2 12
		endif
		mystop
		sleep 0
	endif
	echo >%PIPEP
endif
sleep 1400

***** start RUT *****
echo "Starting Up FinsGateway...">%PIPEP
scmcontrol -s -n RUT0<>>>/nil
scmcontrol -s -n RUT1<>>>/nil

**** start FgwUSB ****
fgwusb<>>>/nil^256&

**** Edit CIPCore.ini
gzload /ro_fr0/sys/cipiniedit.gz
let r_cipedt = execute("cipiniedit")
unlink -f cipiniedit
if ( %r_cipedt != 0 )
	echo -r "** ERROR : Fail to get Product ID for CIP.">%PIPEP
	mystop
endif
unlet r_cipedt

****** Start Battery Check ******
*load -d=/ro_fr0/bin batchk
batchk<>>>/nil^16&

****** Start time adjustment ******
timeadj 0<>>>/nil^16&

***** start FinsGateway *****
ScmControl -a<>>>/nil

***** start USB *****
selfHWchk u
if (exist("/h0/usbclsd") == TRUE)
	*** for debug ***
	load -d /h0/usbclsd/*
	do execute("iniz ms")
	do execute("iniz kbd")
	do execute("iniz hub")
endif
iniz pr
usbld&

let ret=execute("TR_Chk 0003<>>>/nil^16")

**** ini file error ****
if ((%ret != 0) || (size("/r0/etc/system.ini") < size("/ro_fr0/etc/system.ini")) \
	|| (exist("/ro_fr0/etc/fgwapt.ini") == FALSE))
	if (%LANG == 1)
		echo -r "** WARNING No.23 : Screen data file(s) is not">%PIPEP
		echo -r "   correct : Touch the screen to continue and">%PIPEP
		echo    "   transfer screen data again                ">%PIPEP
		mystop
	else
		echo "!@#%">%PIPEP
		echo2 19
		mystop
		echo2 1
	endif
endif

if (%ret != 0)
	ScmControl -k<>>>/nil
	copy -ar /ro_fr0/etcsys/*.ini /r0/etc
	ScmControl -a<>>>/nil
	sleep 200
	TR_Chk 0003<>>>/nil^16
endif
unlink -f scmcontrol

echo "  Complete">%PIPEP
echo>%PIPEP

************************************
* Check and Start External Program *
************************************
if (exist("/ro_fr0/sys/aptextprog") == TRUE)
	call myhelloquit()

	copy /ro_fr0/sys/aptextprog /r0<>>>/nil
	mshell </r0/aptextprog

	*** Resume to Internal Program
	del -f /fr0/sys/aptextprog<>>>/nil
	reset
endif

***** filetransfer  VideoCapture  Printer *****
chd /r0/etc
echo "Starting Up Transfer program...">%PIPEP
echo>%PIPEP
echo "Starting Up Project Data...">%PIPEP

finsapt<>>>/nil^64&
video_unit<>>>/nil^32&
prnunit<>>>/nil^32&
sleep 10

***** USB Driver Reset Task *****
load -d /ro_fr0/bin/PrRset
PrRset<>>>/nil&

***** Make Data module for RUN/Cproc/TrendProc *****
gzload /ro_fr0/run/makedatamod.gz<>>>/nil
sleep 10
let ret=execute("makedatamod<>>>/nil")
if (%ret < 0)
	echo -r "** ERROR : Fail to make datamodule.">%PIPEP
	mystop
endif
sleep 10
unlink -f makedatamod

***** Start Cproc *****
cproc<>>>/nil^32&
sleep 100

****** WAIT FOR PLC CONNECTION ******
sleep 300

load -d=/ro_fr0/font  NS_M_TO_W.BIN  NS_W_TO_M.BIN  NS_M_TO_W_CH.BIN  NS_W_TO_M_CH.BIN  NS_M_TO_W_TW.BIN  NS_W_TO_M_TW.BIN

***** Load Run (DeCompress) *****
gzload /ro_fr0/run/NS_Launch.gz<>>>/nil
gzload /ro_fr0/run/runs.gz<>>>/nil

***** Myhello Quit (Blue screen to black screen) *****
call myhelloquit()
sleep 100

***** Start NS_Launch *****
NS_Launch<>>>/nil^128&
sleep 100

****** WAIT FOR PLC CONNECTION ******
sleep 100

***** Start AreaCheck *****
do execute("AreaCheck -r 10001 -t 2000 -w 300<>>>/nil")
unlink -f AreaCheck
if (modate("/r0/etc/ntlprttbl.ini") > modate("/ro_fr0/etc/ntlprttbl.ini"))
	copy -ar /r0/etc/ntlprttbl.ini /fr0/etc&
endif

****** for debug ****** Tlbprot
if (exist("/h0/tp3") == TRUE)
	mdir -e trendproc>/r0/trendproc.log
	mdir -e cproc>/r0/cproc.log
	mdir -e run>/r0/run.log
	copy -ar /r0/*.log /h0
	/h0/tp3 0&
endif

sleep 0^1
** This line mustnot be executed.

************************************************************

*******************
* error procedure *
*******************
function errorproc()
	if (%DRAW > 0)
		sleep 1000
		echo "!@#$">+/pipe/myhello&
		mystop
		if (%DRAW == 2)
			do execute("unlink -f hellojview")
		endif
		if (%DRAW == 3)
			do execute("unlink -f hellobmp")
		endif

		let PIPEP="+/pipe/myhello"
		let DRAW=0
		call myhellostart()
	endif
	return 0
endfunction

*****************
* myhello start *
*****************
function myhellostart()
	if (%DRAW == 0)
		myhello5<>>>/nil^768&
	else
		myhello5 h<>>>/nil^768&
	endif
	*** wait until myhello5 makes a pipe ***
	while( exist("/pipe/myhello") == FALSE)
	endwhile
	return 0
endfunction

****************
* quit myhello *
****************
function myhelloquit()
	echo "!@#$">+/pipe/myhello&
	mystop
	if (%DRAW == 2)
		unlink -f hellojview
	elif (%DRAW == 3)
		unlink -f hellobmp
	endif
	unlet DRAW PIPEP
	return 0
endfunction